<?php
require_once('system/func.php');
auth(); // Закроем от не авторизованных
$title = 'Обменник';
require_once('system/header.php');


if(isset($_GET[almaz]) and $user[koll_almaz] > 0){
if($user[gold] < $user[koll_almaz]*10){
$_SESSION[msg] = "Не хватает ".ico('icons','gold.png')." ".($user[koll_almaz]*10-$user[gold])." золота";
header("Location: ?");
exit();
}
mysql_query("update `users` set `almaz` = '".($user['almaz']+$user[koll_almaz])."', `gold` = '".($user['gold']-$user[koll_almaz]*10)."', `koll_almaz` = '0' where (`id` = '".$user['id']."')");
$_SESSION[msg] = "Вы успешно обмен яли золото на алмазы";
header('Location: ?');
exit();
}
auth(); // Закроем от гостей
if(isset($_GET['gold'])){
switch($_GET['gold']){
case 10:
$almaz = 1;
break;    
case 100:
$almaz = 10;
break;    
case 500:
$almaz = 50;
break;
case 1000:
$almaz = 100;
break;
case 5000:
$almaz = 500;
$break;
}
if(!$almaz){
header('Location: /pay');
exit();
}
if($user['almaz'] < $almaz){
$_SESSION['msg'] = "Ошибка, не хватает ".ico('icons','almaz.png')." ".($almaz-$user['almaz'])." алмазов";
header('Location: /pay?'.$random);
exit();
}else{
mysql_query("update `users` set `almaz` = '".($user['almaz']-$almaz)."', `gold` = '".($user['gold']+$_GET['gold'])."' where (`id` = '".$user['id']."')");
$_SESSION['msg'] = "Вы успешно купили ".ico('icons','gold.png')." $_GET[gold] золота";
header('Location: /pay?'.$random);
exit();
}
}
echo "<div class='header'>";
if($user[koll_gold] > 0)echo'<div class ="main_link"><a href="?almaz" ><div class="ssilki_dop p_0">'.ico('icons','almaz.png').' Купить '.$user[koll_almaz].' за '.ico('icons','gold.png').' '.($user[koll_almaz]*10).'</a></div></div>';
echo "<div class ='main_link'>";
echo '<center><a href="?gold=10" ><div class="ssilki_dop p_0"> Получить 10 '.ico('icons','gold.png').' золота за 1 '.ico('icons','almaz.png').' алмаз</a></center></div>';
echo "<div class ='main_link'>";
echo '<center><a href="?gold=100" ><div class="ssilki_dop p_0"> Получить 100 '.ico('icons','gold.png').' золота за 10 '.ico('icons','almaz.png').' алмазов</a></center></div>';
echo "<div class ='main_link'>";
echo '<center><a href="?gold=500" ><div class="ssilki_dop p_0"> Получить 500 '.ico('icons','gold.png').' золота за 50 '.ico('icons','almaz.png').' алмазов</a></center></div>';
echo "<div class ='main_link'>";
echo '<center><a href="?gold=1000" ><div class="ssilki_dop p_0"> Получить 1000 '.ico('icons','gold.png').' золота за 100 '.ico('icons','almaz.png').' алмазов</a></center></div>';
echo "<div class ='main_link'>";
echo '<center><a href="?gold=5000" ><div class="ssilki_dop p_0"> Получить 5000 '.ico('icons','gold.png').' золота за 500 '.ico('icons','almaz.png').' алмазов</a></center></div>';
echo "</div>";






require_once('system/footer.php');
?>